local DataAccess = require "ticketek.data_access"

---
-- sets the relationship between a ticket and one or more 'values' (usually, interaction ids)
--
local function link (ticket, vcc, value)
	DataAccess.link(ticket, vcc, value)
end

---
-- Looks up all values associated with a given ticket. It returns a table, with zero or more values
--
local function lookup (ticket, vcc)
	return DataAccess.lookup(ticket, vcc)
end

--
-- Exported functions
--
return {
	link = link,
	lookup = lookup
}
